package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.service.LiftCertificateService;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by Administrator on 2019/11/26.
 */
@Slf4j
@RestController
@RequestMapping("liftCertificate")
public class LiftCertificateController {
    @Autowired
    private LiftCertificateService liftCertificateService;

    /**
     * @description 
     * @date 2019/11/27 10:11
     * @param
     * @return
     */
    @GetMapping("findOne")
    public RestResponse<LiftCertificate> findOne(Long id){
        log.info("id: " + id);
        LiftCertificate entity = liftCertificateService.findOne(id);
        return RestResponse.ok(entity);
    }


}
