package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 业务实现层 - 表：lift_certificate
 * @since 2019-11-25 17:53:19
 */
@Service("liftCertificateService")
public class LiftCertificateService {

	@Autowired
	private LiftCertificateMapper liftCertificateMapper;

	public LiftCertificate findOne(Long id){
		return liftCertificateMapper.selectByPrimaryKey(id);
	}

	public Integer deleteOne(Long id){
	    return liftCertificateMapper.deleteByPrimaryKey(id);
    }

    public Integer insert(LiftCertificate entity){
	    return liftCertificateMapper.insert(entity);
    }

}