package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.entity.model.RoleRequest;
import cn.com.ty.lift.system.user.service.IRoleService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色管理
 */
@RestController
@RequestMapping("/role")
public class RoleController {

    @Autowired
    private IRoleService roleService;

    /**
     * @description 获取角色列表
     * @date 2019/11/27 10:03 AM
     * @param roleRequest 角色请求类
     * @return
     */
    @RequestMapping("/list")
    public RestResponse list(RoleRequest roleRequest){
        return roleService.list(roleRequest);
    }

}
