package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.entity.model.RoleRequest;
import cn.com.ty.lift.system.mapper.RoleMapper;
import cn.com.ty.lift.system.user.service.IRoleService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色接口实现类
 */
@Service
public class RoleService implements IRoleService {

    @Autowired
    private RoleMapper roleMapper;

    @Override
    public RestResponse list(RoleRequest roleRequest) {
        return roleMapper.getByRoleRequest(roleRequest);
    }
}
